@keyframes slideInFromTop {
  0% {
    transform: translateY(-5%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

.statusSelect {
  margin-left: 10px;
  width: 150px;
  .control {
    display: flex;
    align-items: center;
    position: relative;
    justify-content: space-between;
    border: solid 1px var(--light-gray-blue);
    background-color: transparent;
    font-family: WorkSans;
    color: var(--light-gray-blue);
    font-size: 18px;
    height: 38px;
    border-radius: 0;
    cursor: pointer;

    &:hover {
      color: var(--link-color);
      border-color: var(--link-color);
    }

    .openColor {
      color: var(--bright-turquoise);
    }

    .closedColor {
      color: var(--strawberry);
    }
    .draftColor {
      color: yellow;
    }
    .awaitingColor {
      color: var(--gray);
    }

    .rankingColor {
      color: var(--dodger-blue);
    }

    .cross {
      display: inline-block;
      align-items: center;
      position: absolute;
      right: 15px;
      margin-top: -12px;

      &::after {
        content: '\2573';
        font-size: 13px;
        color: var(--light-gray-blue);
      }
    }

    .arrowClosed,
    .arrowOpen {
      border: solid var(--light-gray-blue);
      border-width: 0 1px 1px 0;
      display: inline-block;
      padding: 4px;
      position: absolute;
      right: 15px;
      transition: transform 150ms cubic-bezier(0.17, 0.67, 0.83, 0.67);
    }

    .arrowClosed {
      top: 12px;
      transform: rotate(-315deg);
      -webkit-transform: rotate(-315deg);
    }

    .arrowOpen {
      top: 16px;
      transform: rotate(-135deg);
      -webkit-transform: rotate(-135deg);
    }
  }

  .menu {
    border: solid 1px var(--light-gray-blue);
    opacity: 0;
    animation: slideInFromTop 0.2s ease-in-out 0s 1 forwards;
    -webkit-animation: slideInFromTop 0.2s ease-in-out 0s 1 forwards;
    -moz-animation: slideInFromTop 0.2s ease-in-out 0s 1 forwards;
    background: var(--black);
    margin-top: 6px;
    transition: all 0.5s;

    div[class*='is-selected'] {
      border-radius: 0;
      background-color: #adb6bc29;
    }

    .option {
      display: flex;
      align-items: center;
      height: 48px;
      font-size: 18px;
      font-weight: 400;
      color: var(--white);
      transition: all 0.3s;

      &:hover {
        background-color: #adb6bc29;
        border-radius: 0;
      }
    }

    .open {
      display: flex;
      justify-content: space-between;
      color: var(--bright-turquoise);

      div:nth-child(2) {
        background-color: var(--bright-turquoise);
        height: 16px;
        width: 16px;
      }
    }

    .closed {
      display: flex;
      justify-content: space-between;
      color: var(--strawberry);

      div:nth-child(2) {
        background-color: var(--strawberry);
        border-radius: 50%;
        height: 16px;
        width: 16px;
      }
    }
  }
}
.draft {
  justify-content: space-between;
  div {
    color: yellow;
    &:last-of-type {
      width: 0;
      height: 0;
      border-style: solid;
      border-width: 0 8px 16px 8px;
      border-color: transparent transparent yellow transparent;
    }
  }
}
.awaiting {
  justify-content: space-between;
  div {
    color: var(--gray);
    &:last-of-type {
      background-color: var(--gray);
      height: 16px;
      width: 16px;
      border-radius: 50%;
    }
  }
}
// .prevote {
//   justify-content: space-between;
//   div {
//     color: var(--gray);
//     &:last-of-type {
//       background-color: var(--gray);
//       height: 16px;
//       width: 16px;
//       border-radius: 50%;
//     }
//   }
// }

.ranking {
  display: flex;
  justify-content: space-between;
  div {
    color: var(--dodger-blue);
  }
  
  .icon {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 16px;
  
    .arrow {
      width: 5px;
      height: 5px;
      border: 2px solid;
      border-color: var(--dodger-blue) transparent transparent var(--dodger-blue);
    }
    
    .arrowUp {
      transform: rotate(45deg);
    }
    
    .arrowDown {
      transform: rotate(-135deg);
      margin-top: -5px
    }
  }
}




